#version 330 core

layout (location = 0) in vec3 position;
out vec3 fragmentUV;

uniform mat4 view_project;

void main()
{
    vec4 pos = view_project * vec4(position, 1.0);
    gl_Position = pos.xyww;
    fragmentUV = position;
} 